<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2026 Workiva-->
<!--r:019c1f35-63f3-7e46-92c2-e385c2ac744b,g:19246330-17d8-4508-a722-82b7ae610144-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:label id="lab_nasasa_PerpetualBondsAttributableToOwnersOfParent_label_en" xlink:label="lab_nasasa_PerpetualBondsAttributableToOwnersOfParent" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Perpetual Bonds Attributable To Owners Of Parent [Member]</link:label>
    <link:label id="lab_nasasa_PerpetualBondsAttributableToOwnersOfParent_documentation_en" xlink:label="lab_nasasa_PerpetualBondsAttributableToOwnersOfParent" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Perpetual bonds attributable to owners of parent [member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_PerpetualBondsAttributableToOwnersOfParent" xlink:href="nasasa-2025-12-31.xsd#nasasa_PerpetualBondsAttributableToOwnersOfParent"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_PerpetualBondsAttributableToOwnersOfParent" xlink:to="lab_nasasa_PerpetualBondsAttributableToOwnersOfParent" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_AdjustmentsForDecreaseIncreaseInOtherAssetsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities_label_en" xlink:label="lab_nasasa_AdjustmentsForDecreaseIncreaseInOtherAssetsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments For Decrease Increase In Other Assets And Adjustments For Increase Decrease In Other Liabilities</link:label>
    <link:label id="lab_nasasa_AdjustmentsForDecreaseIncreaseInOtherAssetsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities_documentation_en" xlink:label="lab_nasasa_AdjustmentsForDecreaseIncreaseInOtherAssetsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Adjustments For Decrease Increase In Other Assets And Adjustments For Increase Decrease In Other Liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_AdjustmentsForDecreaseIncreaseInOtherAssetsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:href="nasasa-2025-12-31.xsd#nasasa_AdjustmentsForDecreaseIncreaseInOtherAssetsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_AdjustmentsForDecreaseIncreaseInOtherAssetsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:to="lab_nasasa_AdjustmentsForDecreaseIncreaseInOtherAssetsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_InterestPaidOnBorrowingsClassifiedAsFinancingActivities_label_en" xlink:label="lab_nasasa_InterestPaidOnBorrowingsClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest Paid On Borrowings Classified As Financing Activities</link:label>
    <link:label id="lab_nasasa_InterestPaidOnBorrowingsClassifiedAsFinancingActivities_documentation_en" xlink:label="lab_nasasa_InterestPaidOnBorrowingsClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Interest Paid On Borrowings Classified As Financing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_InterestPaidOnBorrowingsClassifiedAsFinancingActivities" xlink:href="nasasa-2025-12-31.xsd#nasasa_InterestPaidOnBorrowingsClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_InterestPaidOnBorrowingsClassifiedAsFinancingActivities" xlink:to="lab_nasasa_InterestPaidOnBorrowingsClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities_label_en" xlink:label="lab_nasasa_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest Paid On Lease Liabilities Classified As Financing Activities</link:label>
    <link:label id="lab_nasasa_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities_documentation_en" xlink:label="lab_nasasa_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Interest Paid On Lease Liabilities Classified As Financing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:href="nasasa-2025-12-31.xsd#nasasa_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:to="lab_nasasa_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_IssueOfShares_label_en" xlink:label="lab_nasasa_IssueOfShares" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Issue Of Shares</link:label>
    <link:label id="lab_nasasa_IssueOfShares_documentation_en" xlink:label="lab_nasasa_IssueOfShares" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Issue Of Shares</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_IssueOfShares" xlink:href="nasasa-2025-12-31.xsd#nasasa_IssueOfShares"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_IssueOfShares" xlink:to="lab_nasasa_IssueOfShares" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners_019c1f35-64ad-75f0-b59f-36c98d541cb2_netLabel_en" xlink:label="lab_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:role="http://www.xbrl.org/2009/role/netLabel" xlink:type="resource" xml:lang="en">Increase (decrease) through transactions with owners, equity</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:to="lab_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_OperatingExpenseOtherThanDepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndRentalExpense_019c1f35-64ad-7e75-99ae-3681b613c229_totalLabel_en" xlink:label="lab_nasasa_OperatingExpenseOtherThanDepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndRentalExpense" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Operating Expense Other Than Depreciation Amortisation And Impairment Loss Reversal Of Impairment Loss Recognised In Profit Or Loss And Rental Expense</link:label>
    <link:label id="lab_nasasa_OperatingExpenseOtherThanDepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndRentalExpense_label_en" xlink:label="lab_nasasa_OperatingExpenseOtherThanDepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndRentalExpense" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Operating Expense Other Than Depreciation Amortisation And Impairment Loss Reversal Of Impairment Loss Recognised In Profit Or Loss And Rental Expense</link:label>
    <link:label id="lab_nasasa_OperatingExpenseOtherThanDepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndRentalExpense_documentation_en" xlink:label="lab_nasasa_OperatingExpenseOtherThanDepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndRentalExpense" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Operating Expense Other Than Depreciation Amortisation And Impairment Loss Reversal Of Impairment Loss Recognised In Profit Or Loss And Rental Expense</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_OperatingExpenseOtherThanDepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndRentalExpense" xlink:href="nasasa-2025-12-31.xsd#nasasa_OperatingExpenseOtherThanDepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndRentalExpense"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_OperatingExpenseOtherThanDepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndRentalExpense" xlink:to="lab_nasasa_OperatingExpenseOtherThanDepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndRentalExpense" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_IncreaseDecreaseThroughTransactionsWithOwnersOtherEquity_label_en" xlink:label="lab_nasasa_IncreaseDecreaseThroughTransactionsWithOwnersOtherEquity" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Increase (Decrease) Through Transactions With Owners, Other, Equity</link:label>
    <link:label id="lab_nasasa_IncreaseDecreaseThroughTransactionsWithOwnersOtherEquity_documentation_en" xlink:label="lab_nasasa_IncreaseDecreaseThroughTransactionsWithOwnersOtherEquity" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Increase (Decrease) Through Transactions With Owners, Other, Equity</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_IncreaseDecreaseThroughTransactionsWithOwnersOtherEquity" xlink:href="nasasa-2025-12-31.xsd#nasasa_IncreaseDecreaseThroughTransactionsWithOwnersOtherEquity"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_IncreaseDecreaseThroughTransactionsWithOwnersOtherEquity" xlink:to="lab_nasasa_IncreaseDecreaseThroughTransactionsWithOwnersOtherEquity" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_NonCurrentIntangibleAssetsAndGoodwill_label_en" xlink:label="lab_nasasa_NonCurrentIntangibleAssetsAndGoodwill" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Non Current Intangible Assets And Goodwill</link:label>
    <link:label id="lab_nasasa_NonCurrentIntangibleAssetsAndGoodwill_documentation_en" xlink:label="lab_nasasa_NonCurrentIntangibleAssetsAndGoodwill" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Non Current Intangible Assets And Goodwill</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_NonCurrentIntangibleAssetsAndGoodwill" xlink:href="nasasa-2025-12-31.xsd#nasasa_NonCurrentIntangibleAssetsAndGoodwill"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_NonCurrentIntangibleAssetsAndGoodwill" xlink:to="lab_nasasa_NonCurrentIntangibleAssetsAndGoodwill" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_IncreaseDecreaseThroughPaymentInKindInterestOnPerpetualBonds_label_en" xlink:label="lab_nasasa_IncreaseDecreaseThroughPaymentInKindInterestOnPerpetualBonds" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Increase Decrease Through Payment In Kind Interest On Perpetual Bonds</link:label>
    <link:label id="lab_nasasa_IncreaseDecreaseThroughPaymentInKindInterestOnPerpetualBonds_documentation_en" xlink:label="lab_nasasa_IncreaseDecreaseThroughPaymentInKindInterestOnPerpetualBonds" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Increase Decrease Through Payment In Kind Interest On Perpetual Bonds</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_IncreaseDecreaseThroughPaymentInKindInterestOnPerpetualBonds" xlink:href="nasasa-2025-12-31.xsd#nasasa_IncreaseDecreaseThroughPaymentInKindInterestOnPerpetualBonds"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_IncreaseDecreaseThroughPaymentInKindInterestOnPerpetualBonds" xlink:to="lab_nasasa_IncreaseDecreaseThroughPaymentInKindInterestOnPerpetualBonds" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_PrepaymentsForAircraftClassifiedAsInvestingActivities_label_en" xlink:label="lab_nasasa_PrepaymentsForAircraftClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Prepayments For Aircraft Classified As Investing Activities</link:label>
    <link:label id="lab_nasasa_PrepaymentsForAircraftClassifiedAsInvestingActivities_documentation_en" xlink:label="lab_nasasa_PrepaymentsForAircraftClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Prepayments For Aircraft Classified As Investing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_PrepaymentsForAircraftClassifiedAsInvestingActivities" xlink:href="nasasa-2025-12-31.xsd#nasasa_PrepaymentsForAircraftClassifiedAsInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_PrepaymentsForAircraftClassifiedAsInvestingActivities" xlink:to="lab_nasasa_PrepaymentsForAircraftClassifiedAsInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_CurrentAirTrafficSettlementLiabilities_label_en" xlink:label="lab_nasasa_CurrentAirTrafficSettlementLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Current Air Traffic Settlement Liabilities</link:label>
    <link:label id="lab_nasasa_CurrentAirTrafficSettlementLiabilities_documentation_en" xlink:label="lab_nasasa_CurrentAirTrafficSettlementLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Current Air Traffic Settlement Liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_CurrentAirTrafficSettlementLiabilities" xlink:href="nasasa-2025-12-31.xsd#nasasa_CurrentAirTrafficSettlementLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_CurrentAirTrafficSettlementLiabilities" xlink:to="lab_nasasa_CurrentAirTrafficSettlementLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossOtherThanNonCurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale_label_en" xlink:label="lab_nasasa_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossOtherThanNonCurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossOtherThanNonCurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale</link:label>
    <link:label id="lab_nasasa_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossOtherThanNonCurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale_documentation_en" xlink:label="lab_nasasa_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossOtherThanNonCurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Adjustments For Depreciation And Amortisation Expense And Impairment Loss Reversal Of Impairment Loss Recognised In Profit Or Loss Other Than Non Current Assets Or Disposal Groups Classified As Held For Sale</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossOtherThanNonCurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale" xlink:href="nasasa-2025-12-31.xsd#nasasa_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossOtherThanNonCurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossOtherThanNonCurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale" xlink:to="lab_nasasa_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossOtherThanNonCurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_DepreciationAndAmortisationExpenseAndRentalExpense_label_en" xlink:label="lab_nasasa_DepreciationAndAmortisationExpenseAndRentalExpense" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Depreciation And Amortisation Expense And Rental Expense</link:label>
    <link:label id="lab_nasasa_DepreciationAndAmortisationExpenseAndRentalExpense_documentation_en" xlink:label="lab_nasasa_DepreciationAndAmortisationExpenseAndRentalExpense" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Depreciation And Amortisation Expense And Rental Expense</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_DepreciationAndAmortisationExpenseAndRentalExpense" xlink:href="nasasa-2025-12-31.xsd#nasasa_DepreciationAndAmortisationExpenseAndRentalExpense"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_DepreciationAndAmortisationExpenseAndRentalExpense" xlink:to="lab_nasasa_DepreciationAndAmortisationExpenseAndRentalExpense" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_RevenueFromRenderingOfPassengerTransportServicesAncillary_label_en" xlink:label="lab_nasasa_RevenueFromRenderingOfPassengerTransportServicesAncillary" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Revenue From Rendering Of Passenger Transport Services Ancillary</link:label>
    <link:label id="lab_nasasa_RevenueFromRenderingOfPassengerTransportServicesAncillary_documentation_en" xlink:label="lab_nasasa_RevenueFromRenderingOfPassengerTransportServicesAncillary" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Revenue From Rendering Of Passenger Transport Services Ancillary</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_RevenueFromRenderingOfPassengerTransportServicesAncillary" xlink:href="nasasa-2025-12-31.xsd#nasasa_RevenueFromRenderingOfPassengerTransportServicesAncillary"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_RevenueFromRenderingOfPassengerTransportServicesAncillary" xlink:to="lab_nasasa_RevenueFromRenderingOfPassengerTransportServicesAncillary" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_CurrentIntangibleAssets_label_en" xlink:label="lab_nasasa_CurrentIntangibleAssets" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Current Intangible Assets</link:label>
    <link:label id="lab_nasasa_CurrentIntangibleAssets_documentation_en" xlink:label="lab_nasasa_CurrentIntangibleAssets" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Current Intangible Assets</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_CurrentIntangibleAssets" xlink:href="nasasa-2025-12-31.xsd#nasasa_CurrentIntangibleAssets"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_CurrentIntangibleAssets" xlink:to="lab_nasasa_CurrentIntangibleAssets" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_ProfitLossFromOperatingActivitiesBeforeInterestTaxDepreciationAmortisationAndRestructuringOrRentalExpense_019c1f35-64ad-7f9d-bc6d-f77dbf9b299d_totalLabel_en" xlink:label="lab_nasasa_ProfitLossFromOperatingActivitiesBeforeInterestTaxDepreciationAmortisationAndRestructuringOrRentalExpense" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Profit Loss From Operating Activities Before Interest Tax Depreciation Amortisation And Restructuring Or Rental Expense</link:label>
    <link:label id="lab_nasasa_ProfitLossFromOperatingActivitiesBeforeInterestTaxDepreciationAmortisationAndRestructuringOrRentalExpense_label_en" xlink:label="lab_nasasa_ProfitLossFromOperatingActivitiesBeforeInterestTaxDepreciationAmortisationAndRestructuringOrRentalExpense" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit Loss From Operating Activities Before Interest Tax Depreciation Amortisation And Restructuring Or Rental Expense</link:label>
    <link:label id="lab_nasasa_ProfitLossFromOperatingActivitiesBeforeInterestTaxDepreciationAmortisationAndRestructuringOrRentalExpense_documentation_en" xlink:label="lab_nasasa_ProfitLossFromOperatingActivitiesBeforeInterestTaxDepreciationAmortisationAndRestructuringOrRentalExpense" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Profit Loss From Operating Activities Before Interest Tax Depreciation Amortisation And Restructuring Or Rental Expense</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_ProfitLossFromOperatingActivitiesBeforeInterestTaxDepreciationAmortisationAndRestructuringOrRentalExpense" xlink:href="nasasa-2025-12-31.xsd#nasasa_ProfitLossFromOperatingActivitiesBeforeInterestTaxDepreciationAmortisationAndRestructuringOrRentalExpense"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_ProfitLossFromOperatingActivitiesBeforeInterestTaxDepreciationAmortisationAndRestructuringOrRentalExpense" xlink:to="lab_nasasa_ProfitLossFromOperatingActivitiesBeforeInterestTaxDepreciationAmortisationAndRestructuringOrRentalExpense" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_FinanceIncomeCost_019c1f35-64ad-7e06-a745-734bdc691a1b_totalLabel_en" xlink:label="lab_ifrs-full_FinanceIncomeCost" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Finance income (cost)</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceIncomeCost" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceIncomeCost"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_FinanceIncomeCost" xlink:to="lab_ifrs-full_FinanceIncomeCost" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_IncreaseDecreaseBuyBackOfPerpetualBonds_label_en" xlink:label="lab_nasasa_IncreaseDecreaseBuyBackOfPerpetualBonds" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Increase (Decrease) Buy-Back Of Perpetual Bonds</link:label>
    <link:label id="lab_nasasa_IncreaseDecreaseBuyBackOfPerpetualBonds_documentation_en" xlink:label="lab_nasasa_IncreaseDecreaseBuyBackOfPerpetualBonds" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Increase (Decrease) Buy-Back Of Perpetual Bonds</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_IncreaseDecreaseBuyBackOfPerpetualBonds" xlink:href="nasasa-2025-12-31.xsd#nasasa_IncreaseDecreaseBuyBackOfPerpetualBonds"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_IncreaseDecreaseBuyBackOfPerpetualBonds" xlink:to="lab_nasasa_IncreaseDecreaseBuyBackOfPerpetualBonds" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_PurchaseOfTreasuryShares_019c1fd3-d87f-73a4-b266-18fbd6512d33_negatedLabel_en" xlink:label="lab_ifrs-full_PurchaseOfTreasuryShares" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Purchase of treasury shares</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfTreasuryShares" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfTreasuryShares"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfTreasuryShares" xlink:to="lab_ifrs-full_PurchaseOfTreasuryShares" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_AdjustmentsForDecreaseIncreaseInInventoriesAdjustmentsForDecreaseIncreaseInTradeAndOtherReceivablesAndAdjustmentsForIncreaseDecreaseInTradeAndOtherPayables_label_en" xlink:label="lab_nasasa_AdjustmentsForDecreaseIncreaseInInventoriesAdjustmentsForDecreaseIncreaseInTradeAndOtherReceivablesAndAdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments For Decrease Increase In Inventories Adjustments For Decrease Increase In Trade And Other Receivables And Adjustments For Increase Decrease In Trade And Other Payables</link:label>
    <link:label id="lab_nasasa_AdjustmentsForDecreaseIncreaseInInventoriesAdjustmentsForDecreaseIncreaseInTradeAndOtherReceivablesAndAdjustmentsForIncreaseDecreaseInTradeAndOtherPayables_documentation_en" xlink:label="lab_nasasa_AdjustmentsForDecreaseIncreaseInInventoriesAdjustmentsForDecreaseIncreaseInTradeAndOtherReceivablesAndAdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Adjustments For Decrease Increase In Inventories Adjustments For Decrease Increase In Trade And Other Receivables And Adjustments For Increase Decrease In Trade And Other Payables</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_AdjustmentsForDecreaseIncreaseInInventoriesAdjustmentsForDecreaseIncreaseInTradeAndOtherReceivablesAndAdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:href="nasasa-2025-12-31.xsd#nasasa_AdjustmentsForDecreaseIncreaseInInventoriesAdjustmentsForDecreaseIncreaseInTradeAndOtherReceivablesAndAdjustmentsForIncreaseDecreaseInTradeAndOtherPayables"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_AdjustmentsForDecreaseIncreaseInInventoriesAdjustmentsForDecreaseIncreaseInTradeAndOtherReceivablesAndAdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:to="lab_nasasa_AdjustmentsForDecreaseIncreaseInInventoriesAdjustmentsForDecreaseIncreaseInTradeAndOtherReceivablesAndAdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_InterestPaidOnPerpetualBondsClassifiedAsFinancingActivities_label_en" xlink:label="lab_nasasa_InterestPaidOnPerpetualBondsClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest Paid On Perpetual Bonds Classified As Financing Activities</link:label>
    <link:label id="lab_nasasa_InterestPaidOnPerpetualBondsClassifiedAsFinancingActivities_documentation_en" xlink:label="lab_nasasa_InterestPaidOnPerpetualBondsClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Interest Paid On Perpetual Bonds Classified As Financing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_InterestPaidOnPerpetualBondsClassifiedAsFinancingActivities" xlink:href="nasasa-2025-12-31.xsd#nasasa_InterestPaidOnPerpetualBondsClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_InterestPaidOnPerpetualBondsClassifiedAsFinancingActivities" xlink:to="lab_nasasa_InterestPaidOnPerpetualBondsClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_AdjustmentsForIncreaseDecreaseInAirTrafficLiabilities_label_en" xlink:label="lab_nasasa_AdjustmentsForIncreaseDecreaseInAirTrafficLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments For Increase Decrease In Air Traffic Liabilities</link:label>
    <link:label id="lab_nasasa_AdjustmentsForIncreaseDecreaseInAirTrafficLiabilities_documentation_en" xlink:label="lab_nasasa_AdjustmentsForIncreaseDecreaseInAirTrafficLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Adjustments For Increase Decrease In Air Traffic Liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_AdjustmentsForIncreaseDecreaseInAirTrafficLiabilities" xlink:href="nasasa-2025-12-31.xsd#nasasa_AdjustmentsForIncreaseDecreaseInAirTrafficLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_AdjustmentsForIncreaseDecreaseInAirTrafficLiabilities" xlink:to="lab_nasasa_AdjustmentsForIncreaseDecreaseInAirTrafficLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_DividendsPaidClassifiedAsFinancingActivities_019c1fd4-31c1-71f3-b454-ed1221dccfa6_negatedLabel_en" xlink:label="lab_ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Dividends paid, classified as financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:to="lab_ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_RetainedEarningsOtherReservesAdditionalPaidInCapitalAndPerpetualBondsAttributableToOwnersOfParent_label_en" xlink:label="lab_nasasa_RetainedEarningsOtherReservesAdditionalPaidInCapitalAndPerpetualBondsAttributableToOwnersOfParent" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Retained Earnings Other Reserves Additional Paid In Capital And Perpetual Bonds Attributable To Owners Of Parent</link:label>
    <link:label id="lab_nasasa_RetainedEarningsOtherReservesAdditionalPaidInCapitalAndPerpetualBondsAttributableToOwnersOfParent_documentation_en" xlink:label="lab_nasasa_RetainedEarningsOtherReservesAdditionalPaidInCapitalAndPerpetualBondsAttributableToOwnersOfParent" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Retained Earnings Other Reserves Additional Paid In Capital And Perpetual Bonds Attributable To Owners Of Parent</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_RetainedEarningsOtherReservesAdditionalPaidInCapitalAndPerpetualBondsAttributableToOwnersOfParent" xlink:href="nasasa-2025-12-31.xsd#nasasa_RetainedEarningsOtherReservesAdditionalPaidInCapitalAndPerpetualBondsAttributableToOwnersOfParent"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_RetainedEarningsOtherReservesAdditionalPaidInCapitalAndPerpetualBondsAttributableToOwnersOfParent" xlink:to="lab_nasasa_RetainedEarningsOtherReservesAdditionalPaidInCapitalAndPerpetualBondsAttributableToOwnersOfParent" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_PropertyPlantAndEquipmentAndNoncurrentPrepayments_label_en" xlink:label="lab_nasasa_PropertyPlantAndEquipmentAndNoncurrentPrepayments" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Property Plant And Equipment And Noncurrent Prepayments</link:label>
    <link:label id="lab_nasasa_PropertyPlantAndEquipmentAndNoncurrentPrepayments_documentation_en" xlink:label="lab_nasasa_PropertyPlantAndEquipmentAndNoncurrentPrepayments" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Property Plant And Equipment And Noncurrent Prepayments</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_PropertyPlantAndEquipmentAndNoncurrentPrepayments" xlink:href="nasasa-2025-12-31.xsd#nasasa_PropertyPlantAndEquipmentAndNoncurrentPrepayments"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_PropertyPlantAndEquipmentAndNoncurrentPrepayments" xlink:to="lab_nasasa_PropertyPlantAndEquipmentAndNoncurrentPrepayments" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_IncreaseDecreaseThroughInterestOnPerpetualBonds_label_en" xlink:label="lab_nasasa_IncreaseDecreaseThroughInterestOnPerpetualBonds" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Increase Decrease Through Interest On Perpetual Bonds</link:label>
    <link:label id="lab_nasasa_IncreaseDecreaseThroughInterestOnPerpetualBonds_documentation_en" xlink:label="lab_nasasa_IncreaseDecreaseThroughInterestOnPerpetualBonds" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Increase Decrease Through Interest On Perpetual Bonds</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_IncreaseDecreaseThroughInterestOnPerpetualBonds" xlink:href="nasasa-2025-12-31.xsd#nasasa_IncreaseDecreaseThroughInterestOnPerpetualBonds"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_IncreaseDecreaseThroughInterestOnPerpetualBonds" xlink:to="lab_nasasa_IncreaseDecreaseThroughInterestOnPerpetualBonds" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_RepaymentsOfBondsNotesAndDebentures_019c9fab-c3af-7446-b7a7-9892e1673fab_negatedLabel_en" xlink:label="lab_ifrs-full_RepaymentsOfBondsNotesAndDebentures" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Repayments of bonds, notes and debentures</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RepaymentsOfBondsNotesAndDebentures" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RepaymentsOfBondsNotesAndDebentures"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_RepaymentsOfBondsNotesAndDebentures" xlink:to="lab_ifrs-full_RepaymentsOfBondsNotesAndDebentures" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_IssuedCapitalAndSharePremium_label_en" xlink:label="lab_nasasa_IssuedCapitalAndSharePremium" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Issued Capital And Share Premium</link:label>
    <link:label id="lab_nasasa_IssuedCapitalAndSharePremium_documentation_en" xlink:label="lab_nasasa_IssuedCapitalAndSharePremium" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Issued Capital And Share Premium</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_IssuedCapitalAndSharePremium" xlink:href="nasasa-2025-12-31.xsd#nasasa_IssuedCapitalAndSharePremium"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_IssuedCapitalAndSharePremium" xlink:to="lab_nasasa_IssuedCapitalAndSharePremium" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_HandlingExpense_label_en" xlink:label="lab_nasasa_HandlingExpense" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Handling Expense</link:label>
    <link:label id="lab_nasasa_HandlingExpense_documentation_en" xlink:label="lab_nasasa_HandlingExpense" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Handling Expense</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_HandlingExpense" xlink:href="nasasa-2025-12-31.xsd#nasasa_HandlingExpense"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_HandlingExpense" xlink:to="lab_nasasa_HandlingExpense" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_OtherLongTermProvisionsForPeriodicMaintenance_label_en" xlink:label="lab_nasasa_OtherLongTermProvisionsForPeriodicMaintenance" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other Long Term Provisions For Periodic Maintenance</link:label>
    <link:label id="lab_nasasa_OtherLongTermProvisionsForPeriodicMaintenance_documentation_en" xlink:label="lab_nasasa_OtherLongTermProvisionsForPeriodicMaintenance" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Other Long Term Provisions For Periodic Maintenance</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_OtherLongTermProvisionsForPeriodicMaintenance" xlink:href="nasasa-2025-12-31.xsd#nasasa_OtherLongTermProvisionsForPeriodicMaintenance"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_OtherLongTermProvisionsForPeriodicMaintenance" xlink:to="lab_nasasa_OtherLongTermProvisionsForPeriodicMaintenance" xlink:type="arc" order="1"/>
    <link:label id="lab_nasasa_AirportAndAtcExpense_label_en" xlink:label="lab_nasasa_AirportAndAtcExpense" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Airport And Atc Expense</link:label>
    <link:label id="lab_nasasa_AirportAndAtcExpense_documentation_en" xlink:label="lab_nasasa_AirportAndAtcExpense" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Airport And Atc Expense</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_AirportAndAtcExpense" xlink:href="nasasa-2025-12-31.xsd#nasasa_AirportAndAtcExpense"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nasasa_AirportAndAtcExpense" xlink:to="lab_nasasa_AirportAndAtcExpense" xlink:type="arc" order="1"/>
  </link:labelLink>
</link:linkbase>
